Index: src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -24,6 +24,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -24,6 +24,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/CommandLineUI/TypeEnumContainer.cpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -34,5 +34,5 @@
 #include "LinearAlgebra/BoxVector.hpp"
 #include "LinearAlgebra/Vector.hpp"
-#include "element.hpp"
+#include "Element/element.hpp"
 #include "molecule.hpp"
 #include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Makefile.am	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -270,4 +270,5 @@
 	libMolecuilderShapes.la \
 	libMolecuilderHelpers.la \
+	libMolecuilderElement.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	libMolecuilderRandomNumbers.la \
Index: src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -24,6 +24,6 @@
 
 #include "CodePatterns/MemDebug.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -26,6 +26,6 @@
 
 #include "CodePatterns/MemDebug.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Qt4/Query/ElementQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -27,6 +27,6 @@
 #include "UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp"
 
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Qt4/Query/ElementsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -27,6 +27,6 @@
 #include "UIElements/Qt4/Pipe/ElementsQtQueryPipe.hpp"
 
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -26,6 +26,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -27,6 +27,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/TextWindow.cpp
===================================================================
--- src/UIElements/TextUI/TextWindow.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/TextUI/TextWindow.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -45,5 +45,5 @@
 // all needed due to config::SaveAll()
 #include "config.hpp"
-#include "periodentafel.hpp"
+#include "Element/periodentafel.hpp"
 
 // config::SaveAll() and enumerate()
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -33,6 +33,6 @@
 
 #include "Helpers/defs.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -30,5 +30,5 @@
 
 #include "Descriptors/AtomIdDescriptor.hpp"
-#include "element.hpp"
+#include "Element/element.hpp"
 #include "LinearAlgebra/Vector.hpp"
 #include "World.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -32,5 +32,5 @@
 #include "atom.hpp"
 #include "Bond/bond.hpp"
-#include "element.hpp"
+#include "Element/element.hpp"
 #include "Helpers/defs.hpp"
 #include "LinearAlgebra/Line.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 2fadb6f6487d66855d2a973ab3e063aa3e0af5b6)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 3bdb6de29d0b7776bda5bfd425ac0a815e8a8d88)
@@ -145,7 +145,7 @@
 //#include "atom.hpp"
 //#include "Bond/bond.hpp"
-//#include "element.hpp"
+//#include "Element/element.hpp"
 //#include "molecule.hpp"
-//#include "periodentafel.hpp"
+//#include "Element/periodentafel.hpp"
 //#include "World.hpp"
 //
